RpcMessage.NoRpcChannelReply (Tomcat API Documentation)
Keywords: org.apache.catalina.tribes.group.RpcMessage.NoRpcChannelReply class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.group
Class RpcMessage.NoRpcChannelReply

    java.lang.Object
      org.apache.catalina.tribes.group.RpcMessage
          org.apache.catalina.tribes.group.RpcMessage.NoRpcChannelReply

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

Enclosing class:
  RpcMessage

    public static class RpcMessage.NoRpcChannelReply

extends RpcMessage

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.catalina.tribes.group.RpcMessage
`RpcMessage.NoRpcChannelReply`

Field Summary

Fields inherited from class org.apache.catalina.tribes.group.RpcMessage
`message, reply, rpcId, uuid`

Constructor Summary
`RpcMessage.NoRpcChannelReply()`
`RpcMessage.NoRpcChannelReply(byte[] rpcid, byte[] uuid)`

Method Summary
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class org.apache.catalina.tribes.group.RpcMessage
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RpcMessage.NoRpcChannelReply

    public RpcMessage.NoRpcChannelReply()

### RpcMessage.NoRpcChannelReply

    public RpcMessage.NoRpcChannelReply(byte[] rpcid,
                                        byte[] uuid)

Method Detail

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Overrides:
    `readExternal` in class `RpcMessage`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Overrides:
    `writeExternal` in class `RpcMessage`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.